Page MenuHomePhabricator

Enable global merge pass
ClosedPublic

Authored by Jiangning on Apr 18 2014, 8:37 PM.

Details

Summary

This is the patch to enable global merge pass for AArch64 and adrp instructions can be reduced accordingly. For ARM64, it also works, but it fails to reduce adrp instructions statically due to different ISEL strategy.

Diff Detail

Event Timeline

t.p.northover accepted this revision.Apr 19 2014, 9:20 AM

Hi Jiangning,

This looks straightforward enough; go for it.

Tim.

Committed as r206861.

Thanks,
-Jiangning

2014-04-20 0:20 GMT+08:00 Tim Northover <t.p.northover@gmail.com>:

Hi Jiangning,

This looks straightforward enough; go for it.

Tim.

http://reviews.llvm.org/D3431

Eugene.Zelenko closed this revision.Oct 3 2016, 5:18 PM